function fid=open_file(filename,permission)
   %OPEN_FILE Open file with permission and return file identifier
   %   (permission is defaulted to read-text 'rt' file)

   if nargin == 1
      permission='rt';
   end

   fid=fopen(filename,permission);

   if fid == -1
      error(sprintf('Failed to open file %s',filename))
   end
